"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createWireMockResponse = void 0;
function createWireMockResponse(response, features) {
    var _a;
    const { body, headers, status } = response;
    const mockedResponse = {
        status,
    };
    const bodyType = (_a = features === null || features === void 0 ? void 0 : features.responseBodyType) !== null && _a !== void 0 ? _a : "jsonBody";
    if (body) {
        mockedResponse[bodyType] = body;
    }
    mockedResponse.headers = {
        ...(bodyType === "jsonBody" && {
            'Content-Type': 'application/json; charset=utf-8',
        }),
        ...headers,
    };
    const delay = features === null || features === void 0 ? void 0 : features.responseDelay;
    switch (delay === null || delay === void 0 ? void 0 : delay.type) {
        case "CHUNKED_DRIBBLE":
            mockedResponse.chunkedDribbleDelay = {
                numberOfChunks: delay.numberOfChunks,
                totalDuration: delay.totalDuration,
            };
            break;
        case "FIXED":
            mockedResponse.fixedDelayMilliseconds = delay.constantDelay;
            break;
        case "LOG_NORMAL":
            mockedResponse.delayDistribution = {
                type: 'lognormal',
                median: delay.median,
                sigma: delay.sigma,
            };
            break;
        case "UNIFORM":
            mockedResponse.delayDistribution = {
                type: 'uniform',
                lower: delay.lower,
                upper: delay.upper,
            };
            break;
        default:
    }
    return mockedResponse;
}
exports.createWireMockResponse = createWireMockResponse;
//# sourceMappingURL=ResponseModel.js.map