import { AxiosResponse } from 'axios';
import { IMockedRequestResponse, Method } from './internalTypes';
import { IWireMockFeatures } from './IWireMockFeatures';
import { IWireMockRequest } from './IWireMockRequest';
import { IWireMockResponse } from './IWireMockResponse';
export declare class WireMock {
    protected readonly baseUrl: string;
    constructor(baseUrl: string);
    register(request: IWireMockRequest, response: IWireMockResponse, features?: IWireMockFeatures): Promise<IMockedRequestResponse>;
    clearAll(): Promise<AxiosResponse[]>;
    clearAllExceptDefault(): Promise<AxiosResponse[]>;
    clearAllMappings(): Promise<AxiosResponse>;
    clearAllRequests(): Promise<AxiosResponse>;
    deleteMapping(id: string): Promise<AxiosResponse>;
    getAllMappings(): Promise<unknown[]>;
    getAllRequests(): Promise<unknown[]>;
    getAllScenarios(): Promise<unknown[]>;
    getMapping(id: string): Promise<unknown>;
    getRequestsForAPI(method: Method, endpointUrl: string): Promise<unknown[]>;
    getUnmatchedRequests(): Promise<unknown[]>;
    resetAllScenarios(): Promise<AxiosResponse>;
    resetMappings(): Promise<AxiosResponse>;
    protected makeUrl(endpoint: string): string;
}
//# sourceMappingURL=WireMock.d.ts.map