"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WireMockAPI = void 0;
const WireMock_1 = require("./WireMock");
class WireMockAPI extends WireMock_1.WireMock {
    constructor(baseUrl, endpoint, method, features) {
        super(baseUrl);
        this.endpoint = endpoint;
        this.method = method;
        this.features = features;
    }
    async register(request, response, features) {
        return await super.register({ endpoint: this.endpoint, method: this.method, ...request }, response, { ...this.features, ...features });
    }
    async registerDefaultResponse(response, features) {
        return await this.register({}, response, features);
    }
    async getRequestsForAPI() {
        return await super.getRequestsForAPI(this.method, this.endpoint);
    }
}
exports.WireMockAPI = WireMockAPI;
//# sourceMappingURL=WireMockAPI.js.map